﻿# Using ForEach-Object to multiply a range
1..10 | ForEach-Object { $_ * 2 }

# Measure the sum of elements in an array using ForEach-Object
$array = 1, 2, 3, 4, 5
$sum  = 0
$array | ForEach-Object { $sum += $_ }
$sum

# Using ForEach-Object
Get-Service | Select-Object -First 10 | ForEach-Object{"The Service {0} is call '{1}': {2}" -f $_.Name, $_.DisplayName, $_.Status}
