﻿# Using Get-Unique
1,2,3,1,2,3,1,2,3,1,2,3,1,2,3 | Sort-Object | Get-Unique

# Using Measure-Object
Get-ChildItem | Measure-Object Length

# Using Parameters with Measure-Object
Get-ChildItem | Measure-Object Length -Average -Maximum -Minimum -Sum

# Create test file and snapshot of directory
'What is the answer to life, the universe, and everything?' > test.txt
$before = Get-ChildItem

# Modify test file and new snapshot
'42' > test.txt
$after = Get-ChildItem

# Use Compare-Object to compare the before and after variables
Compare-Object $before $after -Property Length, Name
