﻿# Adding a new method
Add-Member -MemberType ScriptMethod -InputObject $Mytruck -Name Drive -Value { "Going on a roadtrip" }

# Adding a method by parameter position
Add-Member -InputObject $Mytruck ScriptMethod Accelerate { "Skinny pedal on the right" }

# Adding a method through a pipeline
$Mytruck | Add-Member ScriptMethod Park { "Finding a spot" }

# Accessing a method
$Mytruck.Park()
$Mytruck.Drive()