﻿# Display only the services with the status of 'running'
Get-Service | Where-Object{$_.Status -eq 'running'}

# Show txt files with sizes greater than 100
Get-ChildItem *.txt | Where-Object{$_.Length -gt 100}

# Display all processes whose company name begins with 'micro'
Get-Process | Where-Object {$_.Company -like 'micro*'} | Format-Table Name, Description, Company

