﻿# Capitalizes the items in the array
$list = 'a', 'b', 'c', 'd'
$list | ForEach-Object{$_.ToUpper()}

# Add sum of integers into variable
$nums = 1, 2, 3, 4, 5
$sum = 0
$nums | ForEach-Object { $sum += $_ }
$sum

# ForEach-Object twice in the pipeline
Get-Process | Select-Object -First 10 | ForEach-Object { $_.Name } | ForEach-Object { $_.ToUpper() } 

# Display file sizes
Get-ChildItem | ForEach-Object { $_.Length / 1KB }

# Using a range of values
1..10 | ForEach-Object { $_ * 10 }