﻿# Iterating over an array
$teams = "Tigers", "Pistons", "Red Wings", "Lions"
ForEach($team in $teams){"Detroit $team"}

# Timing difference between cmdlets
$chars = 'Mario', 'Man', 'Ghosts and Ghouls', 'Scope'
# Pipeline with ForEach-Object
(Measure-Command { $chars | ForEach-Object { "Super $_" }}).TotalMilliseconds
# Iterating using ForEach
(Measure-Command { ForEach ($char in $chars) { "Super $char" }}).TotalMilliseconds