﻿# Pairs of twos
'112233445566778899' -split '(?<=\G.{2})(?=.)'

# split hex values
'DEADBEEFCAFE' -split '(?<=\G[0-9a-f]{2})(?=.)'

# Format to MAC Address
'DEADBEEFCAFE' -split '(?<=\G[0-9a-f]{2})(?=.)' -join ':'

# Convert Hex to Decimal
$hex = 'AABBCCDDEEFF' 
Foreach ($dec in ($hex -split '(?<=\G[0-9a-f]{2})(?=.)')) {
    [Convert]::ToByte($dec, 16)
}

# Replace Text
'192.168.0.1' -replace '\d{1,3}$', '255'

# replace with references
$list = 'comp1','comp10','comp13'
$pattern = 'comp(\d{1,3})'
$list -replace $pattern, 'Computer$1'

$list -replace $pattern, 'Computer$1 (This changed from $0)'
