﻿# Create new object using New-Object
$Mytruck = New-Object Object

# Adding Properties Using Add-Member
Add-Member -MemberType NoteProperty -Name Color -Value Red -InputObject $Mytruck

# Adding using shortened parameter names
Add-Member -Me NoteProperty -in $Mytruck -Na Make -Value Ford

# Adding using positional parameters
Add-Member -InputObject $Mytruck NoteProperty Model "F-150 Raptor"

# Adding through a pipeline
$Mytruck | Add-Member NoteProperty Cab SuperCrew

# Accessing specific property
$Mytruck.Make

