﻿# -f Operator
"{0} Gigabytes per Terabyte" -f (1TB / 1GB)
"{0:N0}" -f 1000000


# -replace
"Hello John" -replace "John", "World"

# convert commas to semicolons
'Server1,Server2,Server3' -replace '[,]', ';'

<#
Most Comparison operators work in a different `
way when applied to arrays. they become filters `
and filter out all the elements of the array that `
do not match.
#>

(ipconfig) -match 'IPv6'

# Remove whitespace(\s) that occurs one or more times(+)

'[      Jon      Bon        Doe     ]' -replace '\s+', ' '

<# qprocess.exe returns detailed info on running processes
it returns the info in fixed width columns
#>
qprocess.exe

(qprocess) -replace '\s{2,}', ', ' | select -First 10

